<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- Additional documentation for the optim package for Octave.

Copyright (C) Olaf Till <i7tiol@t-online.de>

You can redistribute this documentation and/or modify it under the terms
of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any
later version.

This documentation is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this documentation; if not, see <http://www.gnu.org/licenses/>. -->
<!-- Created by GNU Texinfo 6.3, http://www.gnu.org/software/texinfo/ -->
<head>
<title>optim_doc: Compatibility functions</title>

<meta name="description" content="optim_doc: Compatibility functions">
<meta name="keywords" content="optim_doc: Compatibility functions">
<meta name="resource-type" content="document">
<meta name="distribution" content="global">
<meta name="Generator" content="makeinfo">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="index.html#Top" rel="start" title="Top">
<link href="Function-index.html#Function-index" rel="index" title="Function index">
<link href="index.html#Top" rel="up" title="Top">
<link href="linprog.html#linprog" rel="next" title="linprog">
<link href="Documentation.html#Documentation" rel="prev" title="Documentation">
<style type="text/css">
<!--
a.summary-letter {text-decoration: none}
blockquote.indentedblock {margin-right: 0em}
blockquote.smallindentedblock {margin-right: 0em; font-size: smaller}
blockquote.smallquotation {font-size: smaller}
div.display {margin-left: 3.2em}
div.example {margin-left: 3.2em}
div.lisp {margin-left: 3.2em}
div.smalldisplay {margin-left: 3.2em}
div.smallexample {margin-left: 3.2em}
div.smalllisp {margin-left: 3.2em}
kbd {font-style: oblique}
pre.display {font-family: inherit}
pre.format {font-family: inherit}
pre.menu-comment {font-family: serif}
pre.menu-preformatted {font-family: serif}
pre.smalldisplay {font-family: inherit; font-size: smaller}
pre.smallexample {font-size: smaller}
pre.smallformat {font-family: inherit; font-size: smaller}
pre.smalllisp {font-size: smaller}
span.nolinebreak {white-space: nowrap}
span.roman {font-family: initial; font-weight: normal}
span.sansserif {font-family: sans-serif; font-weight: normal}
ul.no-bullet {list-style: none}
-->
</style>


</head>

<body lang="en">
<a name="Compatibility-functions"></a>
<div class="header">
<p>
Next: <a href="Common-frontend-options.html#Common-frontend-options" accesskey="n" rel="next">Common frontend options</a>, Previous: <a href="Documentation.html#Documentation" accesskey="p" rel="prev">Documentation</a>, Up: <a href="index.html#Top" accesskey="u" rel="up">Top</a> &nbsp; [<a href="Function-index.html#Function-index" title="Index" rel="index">Index</a>]</p>
</div>
<hr>
<a name="Traditional-functions"></a>
<h2 class="chapter">7 Traditional functions</h2>
<a name="index-compatibility-functions"></a>

<table class="menu" border="0" cellspacing="0">
<tr><td align="left" valign="top">&bull; <a href="linprog.html#linprog" accesskey="1">linprog</a>:</td><td>&nbsp;&nbsp;</td><td align="left" valign="top">Linear programming.
</td></tr>
<tr><td align="left" valign="top">&bull; <a href="quadprog.html#quadprog" accesskey="2">quadprog</a>:</td><td>&nbsp;&nbsp;</td><td align="left" valign="top">Quadratic programming.
</td></tr>
<tr><td align="left" valign="top">&bull; <a href="lsqnonlin.html#lsqnonlin" accesskey="3">lsqnonlin</a>:</td><td>&nbsp;&nbsp;</td><td align="left" valign="top">Non-linear residual minimization.
</td></tr>
<tr><td align="left" valign="top">&bull; <a href="lsqcurvefit.html#lsqcurvefit" accesskey="4">lsqcurvefit</a>:</td><td>&nbsp;&nbsp;</td><td align="left" valign="top">Curve fitting.
</td></tr>
<tr><td align="left" valign="top">&bull; <a href="nlinfit.html#nlinfit" accesskey="5">nlinfit</a>:</td><td>&nbsp;&nbsp;</td><td align="left" valign="top">Non-linear regression.
</td></tr>
<tr><td align="left" valign="top">&bull; <a href="fmincon.html#fmincon" accesskey="6">fmincon</a>:</td><td>&nbsp;&nbsp;</td><td align="left" valign="top">Non-linear scalar optimization.
</td></tr>
</table>





</body>
</html>
